package CRSDK;

@SuppressWarnings("unused")
public enum CrRAWFileCompressionType {
    CrRAWFile_Uncompression (0x0000),
    CrRAWFile_Compression (CrRAWFile_Uncompression.getValue()+1),
    CrRAWFile_LossLess (CrRAWFile_Uncompression.getValue()+2),
    CrRAWFile_LossLessS (CrRAWFile_Uncompression.getValue()+3),
    CrRAWFile_LossLessM (CrRAWFile_Uncompression.getValue()+4),
    CrRAWFile_LossLessL (CrRAWFile_Uncompression.getValue()+5);

    private final CrInt16u value;
    CrRAWFileCompressionType(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
